For all Firefox versions a non-standard manual installation of the Adobe SVG Viewer 6.0 preview 1 is required. Additional instructions are also here . You may experience difficulties using Genewindow with this version since it is a pre-release version, which has many bugs and is not supported.

Firefox 1.5 users will need to disable the native SVG support (svg.enabled) in the about:config page. See the offical instructions here